<template>
  <div class="dropdown dropdown-top dropdown-end justify-self-end">
    <div tabindex="0" class="m-1 btn">
      {{ currentLocale.name }}
    </div>
    <ul
      tabindex="0"
      class="p-2 shadow menu dropdown-content bg-base-100 rounded-box w-52 text-black"
    >
      <li v-for="locale in availableLocales" :key="locale.code">
        <nuxt-link :to="switchLocalePath(locale.code)">
          {{ locale.name }}
        </nuxt-link>
      </li>
    </ul>
  </div>
</template>

<script>
import Vue from 'vue'

export default Vue.extend({
  name: 'LocaleSwitcher',
  computed: {
    availableLocales() {
      return this.$i18n.locales.filter(e => e.code !== this.$i18n.locale).sort((a, b) => a - b)
    },
    currentLocale() {
      return this.$i18n.locales.find(e => e.code === this.$i18n.locale)
    }
  }
})
</script>
